#include <stdarg.h>
#include <stdio.h>

#include "Common.h"


SSifInitialize g_SifInitialize;
char RPCVER[4] = "2000";


BYTE psxMem[PSX_MEMSIZE];


void SysPrintf(char *fmt, ...)
{
	char tmp[1024];
	va_list list;
	
	va_start(list, fmt);
	vsprintf(tmp, fmt, list);
	va_end(list);

	g_SifInitialize.pLog(tmp);
}


void SysMessage(char *fmt, ...) {
	va_list list;
	char tmp[512];

	va_start(list,fmt);
	vsprintf(tmp,fmt,list);
	va_end(list);
	MessageBox(0, tmp, "SifPlugin Msg", 0);
}


void FindAndLoadAnyCDVDPlugin ( ) {
	WIN32_FIND_DATA FindData;
	HANDLE Find;
	HANDLE Lib;

	char tmpStr[256];
	_PS2EgetLibType    PS2E_GetLibType;
	_PS2EgetLibName    PS2E_GetLibName;
	_PS2EgetLibVersion PS2E_GetLibVersion;
	
	strcpy(tmpStr, "plugins/");
	strcat(tmpStr, "*.dll");

	Find = FindFirstFile(tmpStr, &FindData);
	
	do{
		sprintf(tmpStr,"%s%s", "plugins/", FindData.cFileName);
		Lib = LoadLibrary(tmpStr);
		PS2E_GetLibType = (_PS2EgetLibType) GetProcAddress((HMODULE)Lib,"PS2EgetLibType");
		PS2E_GetLibName    = (_PS2EgetLibName) GetProcAddress((HMODULE)Lib,"PS2EgetLibName");
		PS2E_GetLibVersion = (_PS2EgetLibVersion) GetProcAddress((HMODULE)Lib,"PS2EgetLibVersion");

		if (PS2E_GetLibType != NULL && PS2E_GetLibName != NULL && PS2E_GetLibVersion != NULL) {
			unsigned long version = PS2E_GetLibVersion();
			long type = PS2E_GetLibType();
			sprintf(tmpStr, "%s %d.%d", PS2E_GetLibName(), (version>>8)&0xff, version&0xff);
			if (type & 0x8) // DVD
				sprintf(plugin,"%s%s",path,FindData.cFileName);
			FreeLibrary((HMODULE)Lib);
		break;
		}
		FreeLibrary((HMODULE)Lib);
	} while (FindNextFile(Find,&FindData));

}