/*  Pcsx2 - Pc Ps2 Emulator
 *  Copyright (C) 2002-2003  Pcsx2 Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "Rpc_services.h"

/////////////////////////////////////////////// 0001
void cdvdfsv6_poweroffcb(struct t_sif_rpc_call*	call, u32 *bin, u32 *bout){
#ifdef RPC_LOG
	RPC_LOG("[RPC:cdvdfsv6] PowerOffCB()\n");
#endif
	//...callback...
	*bout=0;//Muad initial 0
}

//ENTRYPOINT
void sifcall_cdvdfsv6(struct t_sif_rpc_call*	call, u32 *bin, u32 *bout){
	switch (call->rpc_number) {
	case CDVD_PowerOffCB:	cdvdfsv6_poweroffcb(call, bin, bout);	break;
	default:
#ifdef RPC_LOG
		RPC_LOG("[RPC:cdvdfsv6] <%04X> function is not implemented\n", call->rpc_number);
#endif
		*bout=0;	//failure
	}
}
